#!/usr/bin/env python
#^#
# db_dump.py
#
# <description>
#
# 
# Copyright (C) 2006, 2007 Oracle.  All rights reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, version 2.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 021110-1307, USA.
#$#
from os.path import dirname, join
import sys
sys.path.append(join(dirname(__file__), ".."))

from bsddb import dbshelve
from OVSConstants import CONFIG_DIR

db_list = sys.argv[1:]
for db_name in db_list:
    if not db_name.endswith(".db"):
	db_name = "%s.db" % db_name
    db_name = join(CONFIG_DIR, "db/%s" % db_name)
    print db_name
    db = dbshelve.open(db_name)
    for k, v in db.items():
        print "%s\t=>\t%s" % (k,v)
    db.close()
