#!/bin/sh
#^#
# archive_agent.sh
#
# <description>
#
# 
# Copyright (C) 2006, 2007 Oracle.  All rights reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, version 2.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 021110-1307, USA.
#$#
timestamp=$(date +"%Y%m%d_%H%M%S")

#db
echo "archive db ..."
DB_DIR=/etc/ovs-agent/db
mkdir -p $DB_DIR/archive.$timestamp
mv $DB_DIR/*.db $DB_DIR/archive.$timestamp &>/dev/null
echo "archive db done."

#log
echo "archive log ..."
LOG_DIR=/var/log/ovs-agent
mkdir -p $LOG_DIR/archive.$timestamp
mv $LOG_DIR/*.log* $LOG_DIR/archive.$timestamp &>/dev/null
echo "archive log done."
